cURL
curl --request GET \
--url https://us.infisical.com/api/v1/cert-manager/ca/internal/{caId}/ca-certificatesimport requests
url = "https://us.infisical.com/api/v1/cert-manager/ca/internal/{caId}/ca-certificates"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://us.infisical.com/api/v1/cert-manager/ca/internal/{caId}/ca-certificates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"certificate": "<string>",
"certificateChain": "<string>",
"serialNumber": "<string>",
"certId": "<string>",
"version": 123
}
]{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Internal
List CA certificates
Get list of past and current CA certificates for a CA
GET
/
api
/
v1
/
cert-manager
/
ca
/
internal
/
{caId}
/
ca-certificates
cURL
Path Parameters
The ID of the CA to get the CA certificates for.
Response
Default Response
The certificate body of the CA certificate.
The certificate chain of the CA certificate.
The serial number of the CA certificate.
Certificate ID
The version of the CA certificate. The version is incremented for each CA renewal operation.
Was this page helpful?
⌘I